#include "index_updater.h"

TIndexUpdater::TIndexUpdater(IIndexController& index)
    : Index(index)
{}

bool TIndexUpdater::UpdateDoc(ui32 docId, const TParsedDocument::TPtr doc) {
    return Index.UpdateDoc(docId, doc);
}

bool TIndexUpdater::RestoreDoc(ui32 docId, TParsedDocument::TPtr& doc) {
    return Index.RestoreDoc(docId, doc);
}
